import {
	request
} from "@/utils/request";

export default {
	list(data) {
		return request({
			url: "/shop/shopGoods/goodsList",
			method: "POST",
			data,
			type: "mall",
		});
	},

	goodsEditAttribute(data) {
		return request({
			url: "/shop/shopGoods/goodsEditAttribute",
			method: "POST",
			data,
			type: "mall",
		});
	},

	goodsDel(data) {
		return request({
			url: "/shop/shopGoods/goodsDel",
			method: "POST",
			data,
			type: "mall",
		});
	},

	classify: {
		list(data) {
			return request({
				url: "/shop/shopClassify/list",
				method: "POST",
				data,
				type: "mall",
			});
		},
		Slist(data) {
			return request({
				url: "/admin/classify/list",
				method: "POST",
				data,
				type: "mall",
			});
		},

		createItem(data) {
			return request({
				url: "/shop/shopClassify/createItem",
				method: "POST",
				data,
				type: "mall",
			});
		},

	},

	freightRules(data) {
		return request({
			url: "/shop/freightRules/list",
			method: "POST",
			data,
			type: "mall",
		});
	},

	goodsItem(data) {
		return request({
			url: "/shop/shopGoods/goodsItem",
			method: "POST",
			data,
			type: "mall",
		});
	},

	goodsEdit(data) {
		return request({
			url: "/shop/shopGoods/goodsEdit",
			method: "POST",
			data,
			type: "mall",
		});
	},




};